<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from Caf2tfr.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="Caf2tfr" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 27-September-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>Caf2tfr</refname><refpurpose>From ambiguity plane to time frequency plane</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   TFR = Caf2tfr(AF,kernel)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>AF     :</term>
      <listitem><para> Square complex matrix, the ambiguity function of the signal</para></listitem></varlistentry>
   <varlistentry><term>kernel :</term>
      <listitem><para> Square real matrix with same sizes as AF, the kernel of the TFR</para></listitem></varlistentry>
   
   <varlistentry><term>TFR :</term>
      <listitem><para> Square real matrix, the time frequency response for the given kernel</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Computes the Cohen's group Time Frequency Representation (TFR)
of a signal given its ambiguity function and the kernel
of the TFR.
Warning : AF and kernel are matrices of the same size and square!
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
//Wigner TFR of a tone embedded in noise
AF = Cambifunb(hilbert(sin(2*%pi*0.25*(1:128))+0.5*rand(1,128,'normal')),-63:64,128);
ker = Ctfrker(128,128,'WV');
Wigner_TFR = Caf2tfr(AF,ker);
grayplot(1:128,linspace(0,0.5,128),Wigner_TFR');

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="Cambifunb">Cambifunb</link></member>
   <member><link linkend="Ctfrker">Ctfrker</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt - Sep 2010</member>
   <member>Emmanuel Roy - 2000</member>
   </simplelist>
</refsection>
</refentry>
